Bug 176707 - Integration with ssh-agent
Integration with ssh-agent
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gdm (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-12-30 08:30 EST by Alexandre Gomes
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-03-06 14:34:55 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alexandre Gomes 2005-12-30 08:30:16 EST
It would be very nice if GDM integrated with ssh-agent when we type our
password. That way we could avoid to open a console to type ssh-add and the
password each time we login.
Comment 1 Valdis Kletnieks 2006-01-16 14:01:28 EST
Bad idea, security-wise. There's 2 problems here:

1) The user may not *have* an ssh key, or even *want* one.

2) There's very good reasons to have *different* values for the login
password and the ssh key passphrase.

The right answer here is for the user to add it to their .xsession, or if it's
desired behavior for all users, for the site admin to add code to
/etc/X11/gdm/PreSession.
Comment 2 Ray Strode [halfline] 2007-03-06 14:34:55 EST
GDM isn't really the right component for this.  You'd have to do it with some
sort of new pam module.

Feel free to file a feature request against the pam component, though.

Note You need to log in before you can comment on or make changes to this bug.